## python-pecan 0.3.0

=== requirements.txt ===
Mako==0.6.2
MarkupSafe==0.15
WebOb==1.2b3
WebTest==1.3.3
simplegeneric==0.8.1

## python-pecan 0.2.0b2

=== debian/changelog ===
python-pecan (0.2.0b2-0ubuntu1) raring; urgency=low

  * New upstream release. 
  * debian/control: Remove openstack-pkg-tools.
  * debian/copyright: Update to refelect reality.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 24 Jan 2013 09:06:05 -0600

python-pecan (0.2.0b2-1) experimental; urgency=low

  * Initial release (Closes: #).

 -- Thomas Goirand <zigo@debian.org>  Thu, 13 Dec 2012 06:31:35 +0000

=== debian/control ===
Source: python-pecan
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Loic Dachary (OuoU) <loic@debian.org>,
           Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Ghe Rivero <ghe.rivero@stackops.com>,
           Mehdi Abaakouk <sileht@sileht.net>
Build-Depends: debhelper (>= 9), python-setuptools,  python-all (>= 2.6.6-3~)
Standards-Version: 3.9.3
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-pecan.git
Vcs-Git: git://anonscm.debian.org/openstack/python-pecan.git
Homepage: http://pypi.python.org/pypi/pecan

Package: python-pecan
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${python:Depends}, ${misc:Depends}
Description: WSGI object-dispatching web framework
 The Pecan Python module is a WSGI object-dispatching web framework designed to
 be lean and fast with few dependencies. Pecan comes bundled with a lightweight
 WSGI development server based on Python's wsgiref.simpleserver. Pecan
 applications also come with an interactive Python shell which can be used to
 execute expressions in an environment very similar to the one your application
 runs in (using the "pecan shell" command).

## python-pecan 0.2.1

=== debian/changelog ===
python-pecan (0.2.1-0ubuntu1~cloud0) precise-grizzly; urgency=low

  * New package for the Ubuntu Cloud Archive to support inclusion of
    ceilometer.

 -- James Page <james.page@ubuntu.com>  Thu, 14 Mar 2013 16:02:50 +0000

python-pecan (0.2.1-0ubuntu1) raring; urgency=low

  * New upstream point release.

 -- James Page <james.page@ubuntu.com>  Mon, 11 Mar 2013 22:10:13 +0000

python-pecan (0.2.0b2-0ubuntu2) raring; urgency=low

  * debian/control: Added versioned dependencies to BD's.

 -- Yolanda Robla <yolanda.robla@canonical.com>  Mon, 04 Mar 2013 11:59:00 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,14 @@
            Thomas Goirand <zigo@debian.org>,
            Ghe Rivero <ghe.rivero@stackops.com>,
            Mehdi Abaakouk <sileht@sileht.net>
-Build-Depends: debhelper (>= 9), python-setuptools,  python-all (>= 2.6.6-3~)
+Build-Depends:
+ debhelper (>= 9),
+ python-setuptools,
+ python-all (>= 2.6.6-3~),
+ python-mako (>= 0.6.2),
+ python-webob (>= 1.2.3),
+ python-simplegeneric (>= 0.8),
+ python-webtest
 Standards-Version: 3.9.3
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-pecan.git
 Vcs-Git: git://anonscm.debian.org/openstack/python-pecan.git

## python-pecan 0.3.0

=== debian/changelog ===
python-pecan (0.3.0-1ubuntu2) trusty; urgency=medium

  * Rebuild to drop files installed into /usr/share/pyshared.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Feb 2014 13:52:40 +0000

python-pecan (0.3.0-1ubuntu1) saucy; urgency=low

  * debian/rules, debian/control: Add testsuite. 
  * debian/patches/update-depends.patch: Drops virtualenv.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 16 Jul 2013 12:18:00 -0400

python-pecan (0.3.0-1) unstable; urgency=low

  * Uploading to unstable.
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 13 May 2013 07:49:09 +0000

python-pecan (0.2.2-1) experimental; urgency=low

  * Initial release (Closes: #704760).

 -- Thomas Goirand <zigo@debian.org>  Thu, 13 Dec 2012 06:31:35 +0000

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

UPSTREAM_GIT = git://github.com/dreamhost/pecan.git

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --with python2

override_dh_auto_test:
	python setup.py test

=== debian/watch ===
version=3
https://github.com/dreamhost/pecan/tags .*/(\d[\d\.]+)\.tar\.gz

## python-pecan 0.6.1

=== debian/changelog ===
python-pecan (0.6.1-2) unstable; urgency=medium

  * Added missing build-depends: python3-sqlalchemy and python3-mock.

 -- Thomas Goirand <zigo@debian.org>  Mon, 28 Jul 2014 22:42:25 +0800

python-pecan (0.6.1-1) unstable; urgency=medium

  [ Thomas Bechtold ]
  * debian/gbp.conf: Disable explicit pristine-tar.
  * debian/rules: Enable sphinxdoc build.
  * debian/control: Add new binary package for documentation.

  [ Thomas Goirand ]
  * New upstream release.
  * Refresh patches.
  * Removes intersphinx sphinx plugin.

 -- Thomas Goirand <zigo@debian.org>  Mon, 28 Jul 2014 22:22:29 +0800

python-pecan (0.4.5-1) unstable; urgency=medium

  * New upstream release.
  * Ran wrap-and-sort.
  * Updates debian/copyright and debian/rules for the new
    github.com/stackforge/pecan.git URL.
  * Added python 3.x support.
  * Removed openstack-pkg-tools as hard dependency.
  * Now running the unit tests at build time.
  * Standard-Version is now 3.9.5.
  * Added a bunch of new (build-)dependencies.
  * Patches setup.py to not download the virtualenv tarball.

 -- Thomas Goirand <zigo@debian.org>  Sat, 07 Dec 2013 17:23:19 +0800

=== debian/control ===
Source: python-pecan
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Mehdi Abaakouk <sileht@sileht.net>
Build-Depends: debhelper (>= 9),
               python-all (>= 2.6.6-3~),
               python-setuptools,
               python-sphinx,
               python3-all (>= 3.2),
               python3-setuptools
Build-Depends-Indep: gunicorn,
                     python-genshi,
                     python-jinja2,
                     python-kajiki,
                     python-logutils,
                     python-mako (>= 0.4.0),
                     python-markupsafe,
                     python-mock,
                     python-simplegeneric,
                     python-singledispatch,
                     python-sqlalchemy,
                     python-unittest2,
                     python-webob,
                     python-webtest,
                     python3-genshi,
                     python3-jinja2,
                     python3-kajiki,
                     python3-logutils,
                     python3-mako (>= 0.4.0),
                     python3-markupsafe,
                     python3-mock,
                     python3-simplegeneric,
                     python3-singledispatch,
                     python3-six,
                     python3-sqlalchemy,
                     python3-webob,
                     python3-webtest
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-pecan.git
Vcs-Git: git://anonscm.debian.org/openstack/python-pecan.git
Homepage: http://pypi.python.org/pypi/pecan

Package: python-pecan
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python (<< 2.8),
         python (>= 2.6.6-7~),
         python-logutils,
         python-mako (>= 0.4.0),
         python-markupsafe,
         python-simplegeneric,
         python-singledispatch,
         python-six,
         python-webob,
         python-webtest,
         ${misc:Depends},
         ${python:Depends}
Description: WSGI object-dispatching web framework - Python 2.x
 The Pecan Python module is a WSGI object-dispatching web framework designed to
 be lean and fast with few dependencies. Pecan comes bundled with a lightweight
 WSGI development server based on Python's wsgiref.simpleserver. Pecan
 applications also come with an interactive Python shell which can be used to
 execute expressions in an environment very similar to the one your application
 runs in (using the "pecan shell" command).
 .
 WSGI is the "Web Server Gateway Interface". It defines a simple and universal
 interface between web servers and web applications or frameworks for the
 Python programming language.
 .
 This package contains the Python 2.x module.

Package: python3-pecan
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python3 (>= 3.2),
         python3-logutils,
         python3-mako (>= 0.4.0),
         python3-markupsafe,
         python3-simplegeneric,
         python3-singledispatch,
         python3-six,
         python3-webob,
         python3-webtest,
         ${misc:Depends}
Description: WSGI object-dispatching web framework - Python 3.x
 The Pecan Python module is a WSGI object-dispatching web framework designed to
 be lean and fast with few dependencies. Pecan comes bundled with a lightweight
 WSGI development server based on Python's wsgiref.simpleserver. Pecan
 applications also come with an interactive Python shell which can be used to
 execute expressions in an environment very similar to the one your application
 runs in (using the "pecan shell" command).
 .
 WSGI is the "Web Server Gateway Interface". It defines a simple and universal
 interface between web servers and web applications or frameworks for the
 Python programming language.
 .
 This package contains the Python 3.x module.

Package: python-pecan-doc
Section: doc
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: WSGI object-dispatching web framework
 The Pecan Python module is a WSGI object-dispatching web framework designed to
 be lean and fast with few dependencies. Pecan comes bundled with a lightweight
 WSGI development server based on Python's wsgiref.simpleserver. Pecan
 applications also come with an interactive Python shell which can be used to
 execute expressions in an environment very similar to the one your application
 runs in (using the "pecan shell" command).
 .
 WSGI is the "Web Server Gateway Interface". It defines a simple and universal
 interface between web servers and web applications or frameworks for the
 Python programming language.
 .
 This package contains the pecan documentation.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/stackforge/pecan.git
-include /usr/share/openstack-pkg-tools/pkgos.make

export http_proxy=127.0.0.1:9
export https_proxy=127.0.0.1:9

%:
	dh $@ --with python2,python3,sphinxdoc

override_dh_auto_install:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-pecan; \
	done
	set -e && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-pecan; \
	done

	mv $(CURDIR)/debian/python-pecan/usr/bin/gunicorn_pecan \
		$(CURDIR)/debian/python-pecan/usr/bin/gunicorn_pecan-python2
	mv $(CURDIR)/debian/python-pecan/usr/bin/pecan \
		$(CURDIR)/debian/python-pecan/usr/bin/pecan-python2

	mv $(CURDIR)/debian/python3-pecan/usr/bin/gunicorn_pecan \
		$(CURDIR)/debian/python3-pecan/usr/bin/gunicorn_pecan-python3
	mv $(CURDIR)/debian/python3-pecan/usr/bin/pecan \
		$(CURDIR)/debian/python3-pecan/usr/bin/pecan-python3
	sed -i 1' s#python3.4#python3#' $(CURDIR)/debian/python3-pecan/usr/bin/gunicorn_pecan-python3
	sed -i 1' s#python3.4#python3#' $(CURDIR)/debian/python3-pecan/usr/bin/pecan-python3

override_dh_auto_test:
	set -e && for pyvers in $(PYTHONS) ; do \
		python$$pyvers setup.py test -v ; \
	done
	set -e && for pyvers in $(PYTHON3S) ; do \
		python$$pyvers setup.py test -v || true ; \
	done

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR) sphinx-build docs/source $(CURDIR)/debian/python-pecan-doc/usr/share/doc/python-pecan-doc/html
	dh_sphinxdoc
endif

## python-pecan 0.8.2

=== debian/changelog ===
python-pecan (0.8.2-0ubuntu1~cloud0) trusty-kilo; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 19 Dec 2014 14:02:47 -0500

python-pecan (0.8.2-0ubuntu1) vivid; urgency=medium

  * New upstream release.
  * d/watch: Update git url.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 19 Dec 2014 11:38:14 -0500

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,7 @@
 Source: python-pecan
 Section: python
 Priority: optional
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
-Uploaders: Julien Danjou <acid@debian.org>,
-           Thomas Goirand <zigo@debian.org>,
-           Mehdi Abaakouk <sileht@sileht.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Build-Depends: debhelper (>= 9),
                python-all (>= 2.6.6-3~),
                python-setuptools,

## python-pecan 1.0.2

=== debian/changelog ===
python-pecan (1.0.2-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Thomas Goirand <zigo@debian.org>  Sat, 21 Nov 2015 14:30:28 +0100

python-pecan (1.0.2-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2015 10:25:16 +0000

python-pecan (1.0.2-1) experimental; urgency=medium

  [ James Page ]
  * Update watch file to use correct location in github.

  [ Thomas Goirand ]
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 07 Sep 2015 23:49:03 +0200

python-pecan (0.8.2-1) unstable; urgency=medium

  * New upstream release.
  * Removed compat/tests expat-vinay in debian/copyright.
  * Standards-Version: 3.9.6 (no change).

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Dec 2014 15:35:57 +0800

=== debian/control ===
--- 
+++ 
@@ -1,32 +1,37 @@
 Source: python-pecan
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Uploaders: Thomas Goirand <zigo@debian.org>,
 Build-Depends: debhelper (>= 9),
-               python-all (>= 2.6.6-3~),
+               dh-python,
+               python-all,
                python-setuptools,
                python-sphinx,
-               python3-all (>= 3.2),
-               python3-setuptools
+               python3-all,
+               python3-setuptools,
 Build-Depends-Indep: gunicorn,
                      python-genshi,
                      python-jinja2,
                      python-kajiki,
                      python-logutils,
-                     python-mako (>= 0.4.0),
+                     python-mako,
                      python-markupsafe,
                      python-mock,
                      python-simplegeneric,
                      python-singledispatch,
+                     python-six,
                      python-sqlalchemy,
                      python-unittest2,
+                     python-virtualenv,
                      python-webob,
                      python-webtest,
                      python3-genshi,
+                     python3-gunicorn,
                      python3-jinja2,
                      python3-kajiki,
                      python3-logutils,
-                     python3-mako (>= 0.4.0),
+                     python3-mako,
                      python3-markupsafe,
                      python3-mock,
                      python3-simplegeneric,
@@ -34,19 +39,17 @@
                      python3-six,
                      python3-sqlalchemy,
                      python3-webob,
-                     python3-webtest
-Standards-Version: 3.9.5
+                     python3-webtest,
+                     python3-virtualenv,
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-pecan.git
 Vcs-Git: git://anonscm.debian.org/openstack/python-pecan.git
 Homepage: http://pypi.python.org/pypi/pecan
 
 Package: python-pecan
 Architecture: all
-Pre-Depends: dpkg (>= 1.15.6~)
-Depends: python (<< 2.8),
-         python (>= 2.6.6-7~),
-         python-logutils,
-         python-mako (>= 0.4.0),
+Depends: python-logutils,
+         python-mako,
          python-markupsafe,
          python-simplegeneric,
          python-singledispatch,
@@ -54,7 +57,7 @@
          python-webob,
          python-webtest,
          ${misc:Depends},
-         ${python:Depends}
+         ${python:Depends},
 Description: WSGI object-dispatching web framework - Python 2.x
  The Pecan Python module is a WSGI object-dispatching web framework designed to
  be lean and fast with few dependencies. Pecan comes bundled with a lightweight
@@ -71,17 +74,16 @@
 
 Package: python3-pecan
 Architecture: all
-Pre-Depends: dpkg (>= 1.15.6~)
-Depends: python3 (>= 3.2),
-         python3-logutils,
-         python3-mako (>= 0.4.0),
+Depends: python3-logutils,
+         python3-mako,
          python3-markupsafe,
          python3-simplegeneric,
          python3-singledispatch,
          python3-six,
          python3-webob,
          python3-webtest,
-         ${misc:Depends}
+         ${misc:Depends},
+         ${python3:Depends},
 Description: WSGI object-dispatching web framework - Python 3.x
  The Pecan Python module is a WSGI object-dispatching web framework designed to
  be lean and fast with few dependencies. Pecan comes bundled with a lightweight

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 PYTHONS:=$(shell pyversions -vr)
 PYTHON3S:=$(shell py3versions -vr)
 
-UPSTREAM_GIT = git://github.com/stackforge/pecan.git
+UPSTREAM_GIT = git://github.com/pecan/pecan.git
 -include /usr/share/openstack-pkg-tools/pkgos.make
 
 export http_proxy=127.0.0.1:9
@@ -34,13 +34,21 @@
 	sed -i 1' s#python3.4#python3#' $(CURDIR)/debian/python3-pecan/usr/bin/gunicorn_pecan-python3
 	sed -i 1' s#python3.4#python3#' $(CURDIR)/debian/python3-pecan/usr/bin/pecan-python3
 
+	# Cleanup __pycache__ dirs.
+	rm -rf debian/python-pecan/usr/lib/python2.7/dist-packages/pecan/tests/templates/__pycache__
+	rm -rf debian/python-pecan/usr/lib/python2.7/dist-packages/pecan/tests/__pycache__
+	rm -rf debian/python-pecan/usr/lib/python2.7/dist-packages/pecan/tests/scaffold_fixtures/__pycache__
+	rm -rf debian/python-pecan/usr/lib/python2.7/dist-packages/pecan/tests/middleware/__pycache__
+
 override_dh_auto_test:
+ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	set -e && for pyvers in $(PYTHONS) ; do \
 		python$$pyvers setup.py test -v ; \
 	done
 	set -e && for pyvers in $(PYTHON3S) ; do \
 		python$$pyvers setup.py test -v || true ; \
 	done
+endif
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))

## python-pecan 1.1.2

=== debian/changelog ===
python-pecan (1.1.2-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Oct 2016 14:16:34 +0200

python-pecan (1.1.2-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Fixed homepage (https).
  * Fixed VCS URLs (https).
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ James Page ]
  * New upstream release.
  * d/rules: Allow python3 unit tests to fail the build, now that Python
    3.5 is supported upstream.

  [ Thomas Goirand ]
  * Using OpenStack's Gerrit as VCS URLs.
  * Standards-Version: 3.9.8 (no change).
  * Add a .gitreview file to point at packaging-deb Gerrit.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Sep 2016 13:54:34 +0200

python-pecan (1.0.3-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 04 Dec 2015 12:07:35 +0100

=== debian/control ===
--- 
+++ 
@@ -41,10 +41,10 @@
                      python3-webob,
                      python3-webtest,
                      python3-virtualenv,
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-pecan.git
-Vcs-Git: git://anonscm.debian.org/openstack/python-pecan.git
-Homepage: http://pypi.python.org/pypi/pecan
+Standards-Version: 3.9.8
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-pecan?h=debian%2Fnewton
+Vcs-Git: https://git.openstack.org/openstack/deb-python-pecan -b debian/newton
+Homepage: https://pypi.python.org/pypi/pecan
 
 Package: python-pecan
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 PYTHONS:=$(shell pyversions -vr)
 PYTHON3S:=$(shell py3versions -vr)
 
-UPSTREAM_GIT = git://github.com/pecan/pecan.git
+UPSTREAM_GIT := https://github.com/pecan/pecan.git
 -include /usr/share/openstack-pkg-tools/pkgos.make
 
 export http_proxy=127.0.0.1:9
@@ -46,7 +46,7 @@
 		python$$pyvers setup.py test -v ; \
 	done
 	set -e && for pyvers in $(PYTHON3S) ; do \
-		python$$pyvers setup.py test -v || true ; \
+		python$$pyvers setup.py test -v ; \
 	done
 endif

## python-pecan 1.2.1

=== debian/changelog ===
python-pecan (1.2.1-2) unstable; urgency=medium

  * Team upload.

  [ Thomas Goirand ]
  * Add Suggests; python-pecan-doc (Closes: #880636).
  * Remove a Pre-Depends: dpkg version (not needed since xz support in Stable).

  [ Ondřej Nový ]
  * Enable autopkgtest-pkg-python

 -- Ondřej Nový <onovy@debian.org>  Sun, 21 Jan 2018 14:51:57 +0100

python-pecan (1.2.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed homepage (https).
  * Fixed VCS URLs (https).
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Correcting permissions in debian packaging files.
  * Updating standards version to 4.0.1.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release:
    - Fix FTBFS in Python 3.6 (Closes: #867500).
  * Switch to debhelper 10.
  * Standards-Version is now 4.1.1.
  * Using pkgos-dh_auto_install and removed openstack-pkg-tools defined.
  * Fixed debian/copyright ordering.
  * Remove a broken test, make all version of Python to fail build if tests
    fail.
  * Remove entries in debian/copyright that were removed upstream.

 -- Thomas Goirand <zigo@debian.org>  Sat, 28 Oct 2017 21:32:45 +0200

=== debian/control ===
Source: python-pecan
Section: python
Priority: optional
Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-setuptools,
 python-sphinx,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 gunicorn,
 python-genshi,
 python-jinja2,
 python-kajiki,
 python-logutils,
 python-mako,
 python-markupsafe,
 python-mock,
 python-simplegeneric,
 python-singledispatch,
 python-six,
 python-sqlalchemy,
 python-unittest2,
 python-virtualenv,
 python-webob,
 python-webtest,
 python3-genshi,
 python3-gunicorn,
 python3-jinja2,
 python3-kajiki,
 python3-logutils,
 python3-mako,
 python3-markupsafe,
 python3-mock,
 python3-simplegeneric,
 python3-singledispatch,
 python3-six,
 python3-sqlalchemy,
 python3-virtualenv,
 python3-webob,
 python3-webtest,
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python/python-pecan.git
Vcs-Git: https://anonscm.debian.org/git/openstack/python/python-pecan.git
Homepage: https://pypi.python.org/pypi/pecan
Testsuite: autopkgtest-pkg-python

Package: python-pecan
Architecture: all
Depends:
 python-logutils,
 python-mako,
 python-markupsafe,
 python-simplegeneric,
 python-singledispatch,
 python-six,
 python-webob,
 python-webtest,
 ${misc:Depends},
 ${python:Depends},
Suggests: python-pecan-doc
Description: WSGI object-dispatching web framework - Python 2.x
 The Pecan Python module is a WSGI object-dispatching web framework designed to
 be lean and fast with few dependencies. Pecan comes bundled with a lightweight
 WSGI development server based on Python's wsgiref.simpleserver. Pecan
 applications also come with an interactive Python shell which can be used to
 execute expressions in an environment very similar to the one your application
 runs in (using the "pecan shell" command).
 .
 WSGI is the "Web Server Gateway Interface". It defines a simple and universal
 interface between web servers and web applications or frameworks for the
 Python programming language.
 .
 This package contains the Python 2.x module.

Package: python-pecan-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: WSGI object-dispatching web framework
 The Pecan Python module is a WSGI object-dispatching web framework designed to
 be lean and fast with few dependencies. Pecan comes bundled with a lightweight
 WSGI development server based on Python's wsgiref.simpleserver. Pecan
 applications also come with an interactive Python shell which can be used to
 execute expressions in an environment very similar to the one your application
 runs in (using the "pecan shell" command).
 .
 WSGI is the "Web Server Gateway Interface". It defines a simple and universal
 interface between web servers and web applications or frameworks for the
 Python programming language.
 .
 This package contains the pecan documentation.

Package: python3-pecan
Architecture: all
Depends:
 python3-logutils,
 python3-mako,
 python3-markupsafe,
 python3-simplegeneric,
 python3-singledispatch,
 python3-six,
 python3-webob,
 python3-webtest,
 ${misc:Depends},
 ${python3:Depends},
Suggests: python-pecan-doc
Description: WSGI object-dispatching web framework - Python 3.x
 The Pecan Python module is a WSGI object-dispatching web framework designed to
 be lean and fast with few dependencies. Pecan comes bundled with a lightweight
 WSGI development server based on Python's wsgiref.simpleserver. Pecan
 applications also come with an interactive Python shell which can be used to
 execute expressions in an environment very similar to the one your application
 runs in (using the "pecan shell" command).
 .
 WSGI is the "Web Server Gateway Interface". It defines a simple and universal
 interface between web servers and web applications or frameworks for the
 Python programming language.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/pecan/pecan.git
include /usr/share/openstack-pkg-tools/pkgos.make

export http_proxy=127.0.0.1:9
export https_proxy=127.0.0.1:9

%:
	dh $@ --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install

	# Cleanup __pycache__ dirs.
	rm -rf debian/python-pecan/usr/lib/python2.7/dist-packages/pecan/tests/templates/__pycache__
	rm -rf debian/python-pecan/usr/lib/python2.7/dist-packages/pecan/tests/__pycache__
	rm -rf debian/python-pecan/usr/lib/python2.7/dist-packages/pecan/tests/scaffold_fixtures/__pycache__
	rm -rf debian/python-pecan/usr/lib/python2.7/dist-packages/pecan/tests/middleware/__pycache__

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -e && for pyvers in $(PYTHONS) ; do \
		python$$pyvers setup.py test -v ; \
	done
	set -e && for pyvers in $(PYTHON3S) ; do \
		python$$pyvers setup.py test -v ; \
	done
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR) sphinx-build docs/source $(CURDIR)/debian/python-pecan-doc/usr/share/doc/python-pecan-doc/html
	dh_sphinxdoc
endif

=== debian/watch ===
version=3
https://github.com/stackforge/pecan/tags .*/(\d[\d\.]+)\.tar\.gz

## python-pecan 1.3.2

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Pecan.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Pecan.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Pecan"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Pecan"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
python-pecan (1.3.2-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Sep 2018 17:12:46 +0200

python-pecan (1.3.2-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * Running wrap-and-sort -bast
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Rebased remove-broken-test.patch.

 -- Thomas Goirand <zigo@debian.org>  Fri, 24 Aug 2018 09:28:21 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: python-pecan
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
@@ -46,8 +46,8 @@
  python3-webob,
  python3-webtest,
 Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python/python-pecan.git
-Vcs-Git: https://anonscm.debian.org/git/openstack/python/python-pecan.git
+Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-pecan
+Vcs-Git: https://salsa.debian.org/openstack-team/python/python-pecan.git
 Homepage: https://pypi.python.org/pypi/pecan
 Testsuite: autopkgtest-pkg-python
 
@@ -64,7 +64,8 @@
  python-webtest,
  ${misc:Depends},
  ${python:Depends},
-Suggests: python-pecan-doc
+Suggests:
+ python-pecan-doc,
 Description: WSGI object-dispatching web framework - Python 2.x
  The Pecan Python module is a WSGI object-dispatching web framework designed to
  be lean and fast with few dependencies. Pecan comes bundled with a lightweight
@@ -112,7 +113,8 @@
  python3-webtest,
  ${misc:Depends},
  ${python3:Depends},
-Suggests: python-pecan-doc
+Suggests:
+ python-pecan-doc,
 Description: WSGI object-dispatching web framework - Python 3.x
  The Pecan Python module is a WSGI object-dispatching web framework designed to
  be lean and fast with few dependencies. Pecan comes bundled with a lightweight

## python-pecan 1.3.3

=== debian/changelog ===
python-pecan (1.3.3-4ubuntu2) jammy; urgency=medium

  * debian/patches/fix-tests-on-python-3.10.patch: Pull in upstream patch to
    fix build tests on python3.10 (LP: #1965132).

 -- Nick Rosbrook <nick.rosbrook@canonical.com>  Fri, 18 Mar 2022 15:41:54 -0400

python-pecan (1.3.3-4ubuntu1) jammy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/p/no-intersphinx.patch: Dropped. No longer needed.
    - d/p/remove-broken-test.patch: Dropped. Fixed upstream.
    - d/gbp.conf: Retain for gbp and pristine-tar config.
    - d/watch: Update based on move to https://github.com/pecan/pecan.
    - d/control: Align (Build-)Depends with upstream.
    - drop wrong pre/postrm scripts that handle pecan as an alternative when
      it no longer is.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 15 Nov 2021 09:04:08 -0800

python-pecan (1.3.3-4) unstable; urgency=medium

  * Ran wrap-and-sort -bastk.
  * Use pytest instead of setup.py test.
  * Run tests within installed python module.
  * Add fix-setup.cfg-for-pytest.patch.
  * Add Support_SQLAlchemy_1.4.x.patch (Closes: #997350).

 -- Thomas Goirand <zigo@debian.org>  Wed, 27 Oct 2021 10:33:42 +0200

python-pecan (1.3.3-3ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/p/no-intersphinx.patch: Dropped. No longer needed.
    - d/p/remove-broken-test.patch: Dropped. Fixed upstream.
    - d/gbp.conf: Retain for gbp and pristine-tar config.
    - d/watch: Update based on move to https://github.com/pecan/pecan.
    - d/control: Align (Build-)Depends with upstream.
    - drop wrong pre/postrm scripts that handle pecan as an alternative when
      it no longer is.
  * Dropped changes, included in Debian:
    - d/control: Enable autopkgtest-pkg-python testsuite.
    - Drop python2 support.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 15 Feb 2020 17:01:42 -0800

python-pecan (1.3.3-3) unstable; urgency=medium

  * Fixed installing alternatives (Close: #947313).

 -- Thomas Goirand <zigo@debian.org>  Wed, 25 Dec 2019 00:43:32 +0100

python-pecan (1.3.3-2) unstable; urgency=medium

  * Uploading to unstable:
  * Removes Python 2 support (Closes: #938015). Note that the old Ceph package
    still needs it, but version 14.2.4, currently in NEW, has Py2 support
    removed.
  * Add disable-failing-tests.patch.

 -- Thomas Goirand <zigo@debian.org>  Sun, 20 Oct 2019 19:28:03 +0200

python-pecan (1.3.3-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * New upstream release.
  * Add python-gunicorn as build-depends.

 -- Thomas Goirand <zigo@debian.org>  Mon, 23 Sep 2019 17:24:13 +0200

python-pecan (1.3.3-0ubuntu2) eoan; urgency=medium

  * Drop python2 support.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 12 Sep 2019 21:24:38 -0700

python-pecan (1.3.3-0ubuntu1) eoan; urgency=medium

  * Merge from Debian experimental.  Remaining changes:
    - d/control: Enable autopkgtest-pkg-python testsuite.
    - d/p/no-intersphinx.patch: Dropped. No longer needed.
    - d/p/remove-broken-test.patch: Dropped. Fixed upstream.
    - d/gbp.conf: Retain for gbp and pristine-tar config.
    - d/watch: Update based on move to https://github.com/pecan/pecan.
  * New upstream release for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Sun, 09 Jun 2019 21:10:40 -0400

python-pecan (1.3.2-0ubuntu1) cosmic; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * d/watch: Update based on move to https://github.com/pecan/pecan.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/no-intersphinx.patch: Dropped. No longer needed.
  * d/p/remove-broken-test.patch: Dropped. Fixed upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 08 Aug 2018 20:39:05 -0400

=== debian/control ===
Source: python-pecan
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 gunicorn,
 python3-genshi,
 python3-gunicorn,
 python3-jinja2,
 python3-kajiki,
 python3-logutils (>= 0.3),
 python3-mako (>= 0.4.0),
 python3-markupsafe,
 python3-mock,
 python3-pytest,
 python3-simplegeneric,
 python3-singledispatch,
 python3-six,
 python3-sqlalchemy,
 python3-unittest2,
 python3-virtualenv,
 python3-webob (>= 1:1.2dev),
 python3-webtest (>= 1.3.1),
Standards-Version: 4.1.1
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-pecan
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-pecan
Homepage: https://pypi.python.org/pypi/pecan
Testsuite: autopkgtest-pkg-python

Package: python-pecan-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: WSGI object-dispatching web framework
 The Pecan Python module is a WSGI object-dispatching web framework designed to
 be lean and fast with few dependencies. Pecan comes bundled with a lightweight
 WSGI development server based on Python's wsgiref.simpleserver. Pecan
 applications also come with an interactive Python shell which can be used to
 execute expressions in an environment very similar to the one your application
 runs in (using the "pecan shell" command).
 .
 WSGI is the "Web Server Gateway Interface". It defines a simple and universal
 interface between web servers and web applications or frameworks for the
 Python programming language.
 .
 This package contains the pecan documentation.

Package: python3-pecan
Architecture: all
Depends:
 python3-logutils (>= 0.3),
 python3-mako (>= 0.4.0),
 python3-markupsafe,
 python3-simplegeneric,
 python3-singledispatch,
 python3-six,
 python3-webob (>= 1:1.2dev),
 python3-webtest (>= 1.3.1),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-pecan-doc,
Description: WSGI object-dispatching web framework - Python 3.x
 The Pecan Python module is a WSGI object-dispatching web framework designed to
 be lean and fast with few dependencies. Pecan comes bundled with a lightweight
 WSGI development server based on Python's wsgiref.simpleserver. Pecan
 applications also come with an interactive Python shell which can be used to
 execute expressions in an environment very similar to the one your application
 runs in (using the "pecan shell" command).
 .
 WSGI is the "Web Server Gateway Interface". It defines a simple and universal
 interface between web servers and web applications or frameworks for the
 Python programming language.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/pecan/pecan.git
include /usr/share/openstack-pkg-tools/pkgos.make

export http_proxy=127.0.0.1:9
export https_proxy=127.0.0.1:9

%:
	dh $@ --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -e && for pyvers in $(PYTHON3S) ; do \
		PYTHONPATH=$(CURDIR)/tmp/usr/lib/python3/dist-packages python$$pyvers -m pytest pecan/tests -v ; \
	done
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_test:
	echo "Do not run tests here..."

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR) python3 -m sphinx docs/source $(CURDIR)/debian/python-pecan-doc/usr/share/doc/python-pecan-doc/html
	dh_sphinxdoc
endif

## python-pecan 1.4.1

=== requirements.txt ===
WebOb>=1.8
Mako>=0.4.0
WebTest>=1.3.1
setuptools
six
logutils>=0.3

=== debian/changelog ===
python-pecan (1.4.1-1) unstable; urgency=medium

  * New upstream release:
    - Fixes FTBFS with Python 3.10 (Closes: #1008052).
  * Removed patches applied upstream:
    - Support_SQLAlchemy_1.4.x.patch
    - fix-setup.cfg-for-pytest.patch
  * Refreshed patches:
    - disable-failing-tests.patch
    - remove-broken-test.patch

 -- Thomas Goirand <zigo@debian.org>  Fri, 06 May 2022 13:41:21 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: python-pecan
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
@@ -18,8 +17,8 @@
  python3-gunicorn,
  python3-jinja2,
  python3-kajiki,
- python3-logutils (>= 0.3),
- python3-mako (>= 0.4.0),
+ python3-logutils,
+ python3-mako,
  python3-markupsafe,
  python3-mock,
  python3-pytest,
@@ -29,11 +28,11 @@
  python3-sqlalchemy,
  python3-unittest2,
  python3-virtualenv,
- python3-webob (>= 1:1.2dev),
- python3-webtest (>= 1.3.1),
+ python3-webob,
+ python3-webtest,
 Standards-Version: 4.1.1
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-pecan
-Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-pecan
+Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-pecan
+Vcs-Git: https://salsa.debian.org/openstack-team/python/python-pecan.git
 Homepage: https://pypi.python.org/pypi/pecan
 Testsuite: autopkgtest-pkg-python
 
@@ -60,14 +59,14 @@
 Package: python3-pecan
 Architecture: all
 Depends:
- python3-logutils (>= 0.3),
- python3-mako (>= 0.4.0),
+ python3-logutils,
+ python3-mako,
  python3-markupsafe,
  python3-simplegeneric,
  python3-singledispatch,
  python3-six,
- python3-webob (>= 1:1.2dev),
- python3-webtest (>= 1.3.1),
+ python3-webob,
+ python3-webtest,
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,8 @@
 UPSTREAM_GIT := https://github.com/pecan/pecan.git
 include /usr/share/openstack-pkg-tools/pkgos.make
 
-export http_proxy=127.0.0.1:9
-export https_proxy=127.0.0.1:9
+#export http_proxy=127.0.0.1:9
+#export https_proxy=127.0.0.1:9
 
 %:
 	dh $@ --with python3,sphinxdoc
